
package etunicorn.generated;

import etunicorn.generated.model.UpdateConsommationRequest;
import etunicorn.generated.model.UpdateEvenementCreditRequest;
import etunicorn.generated.model.UpdateEvenementRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;


/**
 * No description
 * (Generated with springmvc-raml-parser v.0.8.9)
 * 
 */
@RestController
@RequestMapping("/v1/transaction")
public interface TransactionController {


    /**
     * Permet de recuperer la liste des transaction
     * 
     */
    @RequestMapping(value = "", method = RequestMethod.GET)
    public ResponseEntity<?> getTransaction();

    /**
     * Achat d'une consomation (id) par un participant à un acteur
     * 
     */
    @RequestMapping(value = "/consommation", method = RequestMethod.POST)
    public ResponseEntity<?> updateConsommation(
        @javax.validation.Valid
        @org.springframework.web.bind.annotation.RequestBody
        UpdateConsommationRequest updateConsommationRequest);

    /**
     * No description
     * 
     */
    @RequestMapping(value = "/evenement", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenement(
        @javax.validation.Valid
        @org.springframework.web.bind.annotation.RequestBody
        UpdateEvenementRequest updateEvenementRequest);

    /**
     * Permet de recharger ou debiter un compte
     * 
     */
    @RequestMapping(value = "/evenement/credit", method = RequestMethod.POST)
    public ResponseEntity<?> updateEvenementCredit(
        @javax.validation.Valid
        @org.springframework.web.bind.annotation.RequestBody
        UpdateEvenementCreditRequest updateEvenementCreditRequest);

    /**
     * Permet de recuperer la liste des transaction d'une personne
     * 
     */
    @RequestMapping(value = "/{idPersonne}", method = RequestMethod.GET)
    public ResponseEntity<?> getTransactionByIdPersonne(
        @PathVariable
        Long idPersonne);

    /**
     * Permet de recuperer la liste des transaction d'une personne
     * 
     */
    @RequestMapping(value = "/acteur/{idPersonne}", method = RequestMethod.GET)
    public ResponseEntity<?> getActeurByIdPersonne(
        @PathVariable
        Long idPersonne);

}
